%define oname   pdf-reader

Name:       ruby-%{oname}
Version:    2.12.0
Release:    %mkrel 1
Summary:    A library for accessing the content of PDF files
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/yob/pdf-reader
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The PDF::Reader library implements a PDF parser conforming as much as
possible to the PDF specification from Adobe

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/pdf_object
%{_bindir}/pdf_text
%{_bindir}/pdf_callbacks
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 2.12.0-1.mga10
+ Revision: 2055573
- Update to 2.12.0

* Mon Aug 15 2022 pterjan <pterjan> 2.10.0-1.mga9
+ Revision: 1877815
- Update to 2.10.0

* Tue May 03 2022 pterjan <pterjan> 2.9.2-1.mga9
+ Revision: 1855693
- Update to 2.9.2

* Fri Mar 25 2022 umeabot <umeabot> 2.4.0-2.mga9
+ Revision: 1826770
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 2.4.0-1.mga8
+ Revision: 1561766
- Update to 2.4.0

* Fri Feb 14 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1522511
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 2.2.0-1.mga7
+ Revision: 1360777
- Update to 2.2.0

* Fri Sep 21 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1291193
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 2.1.0-1.mga7
+ Revision: 1214663
- Update to 2.1.0

* Sun Mar 13 2016 pterjan <pterjan> 1.4.0-1.mga6
+ Revision: 989769
- Update to 1.4.0

* Sun Jan 10 2016 pterjan <pterjan> 1.3.3-1.mga6
+ Revision: 921073
- Update to 1.3.3

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-8.mga5
+ Revision: 748920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-7.mga5
+ Revision: 688900
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.2.0-6.mga4
+ Revision: 562111
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.2.0-5.mga4
+ Revision: 561530
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 539019
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 491213
- update file list
- use gem-setup

* Fri Feb 08 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 396241
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 381203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.2.0-1.mga3
+ Revision: 313753
- new version 1.2.0

* Thu Jun 07 2012 solbu <solbu> 1.1.1-1.mga3
+ Revision: 256958
- New version
- Spec cleanup

* Tue Jan 25 2011 shikamaru <shikamaru> 0.9.1-2.mga1
+ Revision: 39608
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 0.9.1-1.mga1
+ Revision: 37843
- imported package ruby-pdf-reader

